
<form action="{% url admin-media-image-attach %}" method="post" id="{{meta.module_name}}_image_form" enctype="multipart/form-data">{% csrf_token %}

{% if form.errors %}
    <p class="errornote">
    Please correct the errors below.
    </p>
    <ul class="errorlist">
    {{ form.errors }}
    {{ form.non_field_errors|unordered_list }}
    </ul>
{% endif %}

{{ form.id }}
{{ form.model }}
<fieldset class="module aligned">
  <h2>{{title}}</h2>
  <div class="form-row">
    {{ form.imagefile.label_tag }} {{ form.imagefile }} &nbsp; <input type="submit" value="add image" />
  </div>
  <div class="form-row">
    {{form.image.label_tag}} {{form.image}}  &nbsp; <input type="submit" value="add image" />
  </div>
</fieldset>

<fieldset class="module">
<div class="form-row">
<label>Current Images: &nbsp; (drag images to select order)</label>
</div>
{% if model.images.all %}
{% load thumbnail %}
<ul id="sortable-images">
{% for image in model.images.all %}
    <li class="sortable-image" id="image_{{image.id}}">
      <img src="{% thumbnail image.filename 150x150 %}" alt="{{image.filename}}" />
      <div class="sortable-tools">
      <a href="{% url admin:media_image_change image.id %}" class="changelink">edit</a>
      <a href="{% url admin-media-image-delete_relation image.id meta.app_label meta.object_name model.pk %}" class="deletelink">delete</a>
      </div>
    </li>
{% endfor %}
</ul>

<script type="text/javascript">
$(function(){
    $('#sortable-images').sortable({
        'scroll': true,
        'update': function(e, ui){            
            var data = $(this).sortable('serialize').replace(/\[\]/g, '');
            data += '&model={{meta.app_label}}.{{meta.object_name}}';
            data += '&id={{model.pk}}';
            $.post('{% url admin-media-image-sort %}', data);
        }
    });
});
</script>

{% else %}
<p class="">No images yet...</p>
{% endif %}

</fieldset>
</form>
